Commit cd8e1dd6 authored by julian.gethmann's avatar julian.gethmann

Update elegant

* Update elegant to 34
* Update pre-commit-hook file
* Add Python packages:
  - i18n (language support)
  - yapf (Python formatter)
  - Cython (Performant superset of cPython)
  - mypy_extensions (further mypy stubs)
  and some Python 2 deps for the beamline notebook
parent 0920714c
repos:
- repo: https://github.com/willthames/ansible-lint.git
sha: v3.4.11
sha: v3.4.16
hooks:
- id: ansible-lint
files: \.(yaml|yml)$
- repo: https://github.com/pre-commit/pre-commit-hooks.git
sha: c847dd3f2e7260830b6fc66a6a3ed7a837e3bdb1
sha: v1.1.1
hooks:
- id: trailing-whitespace
- id: check-added-large-files
......@@ -11,7 +11,6 @@ python3pkg:
- python3-pandas
- python3-pylint
- python3-sphinx
- python3-mypy
- bumpversion
- ptpython3
......@@ -23,6 +22,10 @@ python3pip:
- flake8-pep257
- flake8-mypy
- tox
- i18n
- yapf
- Cython
- mypy_extensions
python2pkg:
- python2
......@@ -32,3 +35,11 @@ python2pkg:
python2pip:
- mpld3
- brewer2mpl
- Cython
- sklearn
- pandas
- shutils
- ipython
- notebook
- ipython-notebook
- backports.shutil_get_terminal_size
---
ele_version:
25: 33.1.2-1
26: 33.1.2-1
25: 34.0.0-1
26: 34.0.0-1
sddstk_version:
25: 3.5-1
26: 3.5.1-1
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment